---
title: any-hover
slug: Web/CSS/@media/any-hover
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>any-hover</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test whether <em>any</em> available input mechanism can hover over elements.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>any-hover</code> feature is specified as a keyword value chosen from the list below.</p>

<dl>
 <dt><code>none</code></dt>
 <dd>None of the available input mechanism(s) can hover conveniently, or there is no pointing input mechanism.</dd>
 <dt><code>hover</code></dt>
 <dd>One or more available input mechanisms can conveniently hover over elements.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Testing_whether_input_methods_can_hover">Testing whether input methods can hover</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;a href="#"&gt;Try hovering over me!&lt;/a&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">@media (any-hover: hover) {
  a:hover {
    background: yellow;
  }
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Testing_whether_input_methods_can_hover")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#descdef-media-any-hover', 'any-hover')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.any-hover")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/@media/hover">the <code>hover</code> media feature</a></li>
</ul>
